import request from '@/utils/request'

// 查询设备批次号列表
export function listBatch(query) {
    return request({
        url: '/iot/batch/list',
        method: 'get',
        params: query
    })
}

// 查询设备批次号详细
export function getBatch(batchId) {
    return request({
        url: '/iot/batch/' + batchId,
        method: 'get'
    })
}

// 新增设备批次号
export function addBatch(data) {
    return request({
        url: '/iot/batch',
        method: 'post',
        data: data
    })
}

// 修改设备批次号
export function updateBatch(data) {
    return request({
        url: '/iot/batch',
        method: 'put',
        data: data
    })
}

// 删除设备批次号
export function delBatch(batchId) {
    return request({
        url: '/iot/batch/' + batchId,
        method: 'delete'
    })
}

// 导出设备批次号
export function exportBatch(query) {
    return request({
        url: '/iot/batch/export',
        method: 'get',
        params: query
    })
}
